// pages/search/search.js
const getReq = require('../../config.js').getReq
import recordSource from '../../utils/recordSource'
let app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    special_datas: {},
    summery: [],
    fromSource: '',
    firstLoad: true
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.setNavigationBarTitle({
      title: '搜索',
    });
    wx.showLoading({
      title: '加载中'
    });
    let self = this;
    let fromSource = recordSource(app, `act=search&op=history&curpage=1&client_type=mini`)
    this.setData({
      fromSource: app.globalData.fromSource
    })
    getReq(app,{
      act: 'search',
      op: 'history',
      curpage: 1,
      from: fromSource
    }, function (res) {
      if (res.code == 200) {
        self.setData({
          special_datas: res.datas,
          summery: res.datas.summary,
          firstLoad: false
        });
      }
      setTimeout(function () {
        wx.hideLoading()
      }, 1000)
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {
  
  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    if(!this.data.firstLoad) {
      app.setFromSource(this.data.fromSource)
    }
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {
  
  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {
  
  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
  
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  
  }
})